Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PropagatedBallState Class Reference

Reads a seen ball state from a stream. More...

`#include <BallModel.h>`

Inheritance diagram for PropagatedBallState:

[legend]
Collaboration diagram for PropagatedBallState:

[legend]
List of all members.

## Public Member Functions
| PropagatedBallState ()
| Constructor.
void | reset ()
| Resets all data of the ball position.
virtual void | serialize (In *in, Out *out)
## Public Attributes
SeenBallState | lastSeenBallState
| The last seen ball position.

## Detailed Description

Reads a seen ball state from a stream.

Parameters:

  stream | The stream the ball state is read from.
  sbs | The ball state the read data is stored to.

Returns:
  Reference to the stream.

Definition at line 459 of file BallModel.h.

## Constructor & Destructor Documentation

PropagatedBallState::PropagatedBallState | ( |  | ) |

| Constructor. Definition at line 500 of file BallModel.cpp. References reset().

Here is the call graph for this function:

## Member Function Documentation

void PropagatedBallState::reset | ( |  | ) |

| Resets all data of the ball position. Reimplemented from BallState. Definition at line 506 of file BallModel.cpp. References lastSeenBallState, BallState::reset(), and SeenBallState::reset(). Referenced by PropagatedBallState(), and BallModel::reset().

Here is the call graph for this function:

void PropagatedBallState::serialize | ( | In * | in,
|  | Out * | out
| ) | `[virtual]`

| Reimplemented from BallState. Definition at line 512 of file BallModel.cpp. References lastSeenBallState, STREAM, STREAM_BASE, STREAM_REGISTER_BEGIN, and STREAM_REGISTER_FINISH.

## Member Data Documentation

SeenBallState PropagatedBallState::lastSeenBallState

| The last seen ball position. Definition at line 478 of file BallModel.h. Referenced by reset(), serialize(), and GT2005BallLocator::setBallSymbols().

The documentation for this class was generated from the following files:

- Representations/Cognition/BallModel.h
- Representations/Cognition/BallModel.cpp